/* userdb.c
**
** database handle for the user database
**
*/

#include "dbif.h"
#include "prefs.h"
#include "tools.h"
#include "vxerror.h"
#include "mrmacs.h"

DBIF_FILE userdb = (DBIF_FILE) NULL;

void userdb_init (void)
{
     ifnull (userdb) {
	 dbif_reset (&userdb, prefs.userdb_name);
	 ifnull (userdb) {
	     vxerror_at (EX_SOFTWARE, 0, __FILE__, __LINE__ - 2,
			 "connecting user database failed: %s\n",
			 dbif_errormsg ());
	 }
     }
}

void userdb_exit (void)
{
    unlessnull (userdb) {
	dbif_close (userdb);
	userdb = (DBIF_FILE) 0;
    }
}

char *defadmin (void)
{
    dbif_rec *id;
    static char *_defadmin = NULL;
    if (_defadmin == NULL) {
	ifnull (userdb) {
	    dbif_reset (&userdb, prefs.userdb_name);
	    ifnull (userdb) {
		vxerror_at (EX_SOFTWARE, 0, __FILE__, __LINE__ - 2,
			    "connecting user database failed");
	    }
	}
	ifnull ((id = dbif_get (userdb, "::VXMAIL::"))) {
		vxerror_at (EX_SOFTWARE, 0, __FILE__, __LINE__ - 2,
			    "inconsistency in user database");
	}
	if (dbif_rectype(id) != RT_IDENTITY) {
	    vxerror_at (EX_SOFTWARE, 0, __FILE__, __LINE__ - 1,
			"invalid identity record");
	}
	_defadmin = gdupl (__FILE__, __LINE__, id->folder);
	dbif_free (id);
    }
    return _defadmin;
}
