/* prefs.h
**
** Interface file for `prefs.c'
** (Preferences)
*/
#ifndef _PREFS_H
#define _PREFS_H

#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>

#include "config.h"

#define ERRORS_ADMIN 1
#define ERRORS_SYSTEM 0
#define ERRORS_ALL 2

struct preferences {
    char *config_name;
    char *userdb_name;
    char *dbif_module;
    char *listdir;
    char *rexecdir;
    char *nonlocalto;
    char *pop3_service;
    char *smtp_service;
    char *imap_service;
    char *msg_firstline;
    char *msg_lastline;
    char *mbox_base;
    char *redir_info;
    char *tmpdir;
    char *error_sender;
    char *vxuname;
    char *vxgname;
    char *sched_cmdfile;
    int errors;
    int fperm;
    int biirm;
    int maxclients;
    uid_t vxuid;
    gid_t vxgid;
    int sysauth;
    long check_size;
    int check_days;
    int dsizecheck;
    int compression;
    int dbtype;
    int msg_scantype;
    int lcuser;
    int lcdomain;
    int syswithidx;
    int maxlevel;
    int rejverb;
    int dracauth;
    int bsmtp_nodomain;
    int iu_receives;
    long bsmtp_timeout;
    long max_foldersize;
    int pop3_autodelete;
    size_t smtp_maxcmdlen;
    int sched_chkt;
    int sched_delay;
    int sched_maxfails;
    int pop3_accept_user;
    int pop3_pass_faildelay;
    int log_errors;
    int loadif_at;
    int loglevel;
    int deliver_loglevel;
    int pop3_loglevel;
};

#ifndef _PREFS_C
extern struct preferences prefs, save_prefs;
extern int abort_on_invug;

extern char *progname;

extern int loglevel;
extern FILE *logfile;
#endif /* defined(_PREFS_C) */

#endif /* defined(_PREFS_H) */
