/* sgets.h
**
** Interface file for `sgets.c'
** (Readoperation which reads a string of arbitrary length and automatically
**  continues after an incoming SIGCHLD signal.)
**
*/
#ifndef _SGETS_H
#define _SGETS_H

#include <sys/types.h>

/* sgets (stream, &cbuf, &cblen, &done)
**       - liest eine Zeile in einen dynamisch alloziierten Puffer `cbuf' ein.
**         Die augenblickliche Lnge dieses Puffers steht in `cblen'. Reicht
**         der Speicherplatz nicht mehr aus, dann wird neuer Speicherplatz fr
**         `cbuf' alloziiert, der ausreichend fr die Aufnahme der bisher ein-
**         gelesenen Daten + 128 Bytes ist. Die Adresse dieses Puffers wird in
**         `cbuf' zurckgegeben, die neue Lnge in `cblen'. Das Flag `done'
**         sagt aus, ob die Operation als ganzes erfolgreich war (done=1) oder
**         nicht (done = 0).
**         Fr `cbuf' MUSS eine Zeigervariable (Typ: char *) angegeben werden,
**         die entweder auf einen mittels `galloc' alloziierten Bereich zeigt,
**         oder NULL enthlt. In `done' mu die aktuelle Puffergre bergeben
**         werden - NICHT die Zeichenkettenlnge seines Inhalts!.
*/
char *sgets (FILE *fp, char **_base, size_t *_bsize, int *done);

#endif /* defined(_SGETS_H) */
